#
# spec file for package perl-BerkeleyDB
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-BerkeleyDB
Version:        0.55
Release:        lp150.1.4
%define cpan_name BerkeleyDB
Summary:        Perl extension for Berkeley DB version 2, 3, 4 or 5
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/BerkeleyDB/
Source0:        http://www.cpan.org/authors/id/P/PM/PMQS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  db-devel
# MANUAL END

%description
*NOTE: This document is still under construction. Expect it to be
incomplete in places.*

This Perl module provides an interface to most of the functionality
available in Berkeley DB versions 2, 3, 5 and 6. In general it is safe to
assume that the interface provided here to be identical to the Berkeley DB
interface. The main changes have been to make the Berkeley DB API work in a
Perl way. Note that if you are using Berkeley DB 2.x, the new features
available in Berkeley DB 3.x or later are not available via this module.

The reader is expected to be familiar with the Berkeley DB documentation.
Where the interface provided here is identical to the Berkeley DB library
and the... TODO

The *db_appinit*, *db_cursor*, *db_open* and *db_txn* man pages are
particularly relevant.

The interface to Berkeley DB is implemented with a number of Perl classes.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc BerkeleyDB.pod.P Changes dbinfo mkpod README Todo

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.55
  see /usr/share/doc/packages/perl-BerkeleyDB/Changes
  0.55  30 March 2014
  * Error opening ErrFile with PerlIO_findFILE
    [RT =#101883]
  * Minor updates for BDB 6.1
* Tue Nov 26 2013 coolo@suse.com
- updated to 0.54
  * memory leak in CDS locking routines [RT #90134]
* Fri Oct  4 2013 coolo@suse.com
- updated to 0.53
  * BerkeleyDB-0.52 fails to build on 5.18.1RC3
    [RT #87771]
  * typo fixes
    [RT #86705]
* Sat Jun 15 2013 jengelh@inai.de
- Update to new upstream release 0.52
  * Updates for BDB 6.0 - Added Blob support
  * Fix a memory leak in db_verify() method (libdb < 4.2))
* Mon Jun  3 2013 coolo@suse.com
- updated to 0.51
  * Rework FETCHSIZE
    [RT #75691]
* Mon Dec 12 2011 vcizek@suse.com
- update to 0.50
  * Updates for BDB 5.3
* Mon Aug  8 2011 vcizek@novell.com
- update to 0.49
  * Documentation updated courtesy of Mike Caron
  * croak if attempt to freeze berkeleydb object
    [RT #69985]
* Wed Jun 22 2011 vcizek@novell.com
- update to 0.48
  * Fixed test harness issue with Heap.t
    RT #68818
  0.47  1st June 2011
  * Add support for new Heap database format.
  * Changes to build with BDB 5.2
  0.46  18th October 2010
  * Fixed bug with db_pget when the DB_GET_BOTH flag is used.
  0.45  17th October 2010
  * Fixed bug with c_pget when the DB_GET_BOTH flag is used.
  0.44  2nd August 2010
  * Added support for db_exists and lock_detect.
    Thanks to Alex Lovatt for the patch.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Aug  6 2010 chris@computersalat.de
- update to 0.43
  * Changes to build with BDB 5.1
  - Dropped support for Server option when creating an environment.
  * Documantation updates.
    RT# 59202
  * Fixed compilation error with MS Visual Studio 2005
    RT# 59924
- recreated by cpanspec 1.78
- removed unused checkbuild.sh from SRC
* Thu Mar 25 2010 anicka@suse.cz
- update to 0.42
  * Added $db->Env method to retrieve the environment object from a
  database object.
  * Get the tied interface to use truncate in the CLEAR method if
  using a new enough version of Berkeley DB.
* Fri Jan 15 2010 anicka@suse.cz
- update to 0.41
  * Silence "UNIVERSAL->import is deprecated" in perl 5.11
  * Added support for set_tx_max, log_set_config, set_lk_max_lockers,
  set_lk_max_locks, set_lk_max_objects via the Env constructor.
  Parameter names are TxMax, LogConfig, MaxLockers, MaxLocks &
  MaxObjects respectively.
  RT# 50456
  * seq->seq->close doesn't compile on win32.
  RT# 49474
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Aug  3 2009 anicka@suse.cz
- update to 0.39
  * Added support for BDB 4.8
  - associate_foreign
  - set_bt_compress (no callbacks as yet).
  * Also added interface to
  - ENV->stat_print
  - ENV->txn_stat_print
  * Oldest Perl supported is now 5.005
  * Fixed issue db_stat when it returned a null pointer.
    (#46312 rt.cpan.org)
  * Fixed issue with DNM Filters & UTF8 support.
    Patch supplied by Torsten Foertsch.
* Mon Feb 23 2009 anicka@suse.cz
- update to 0.38
  * Fixed typo in BerkleyDB.pod that broke t/pod.t
  * Included CDS section to the pod.
  * Various documentation patches from RT#42243
* Tue Jan 20 2009 anicka@suse.cz
- update to 0.36
  * Added support for $ENV->log_get_config and $ENV->log_set_config.
* Fri Nov 21 2008 ro@suse.de
- update check-build.sh
* Mon Oct  6 2008 anicka@suse.cz
- update to 0.35
  * Added a combination of independent patches from Claes Jakobsson
    and Yuval Kogman (#38896 rt.cpan.org) to allow multi-key return
    from a secondard database.
  * Added support for sequences. Initial patch from  Claes Jakobsson.
  * Get associate to use a transaction if one is specified.
    [#5855] from rt.cpan.org
  * Finish transition of test harness to use Test::More
* Tue Jul  8 2008 anicka@suse.cz
- remove executable bits from documentation,
  do not remove buildroot in %%install, do testing in %%check
* Wed Apr  2 2008 anicka@suse.cz
- update to 0.34
  * Updates to support building with Berkeley DB version 4.7
  * Typo in #ifdef for ThreadCount support.
  * Updated dbinfo
* Wed Jan 23 2008 anicka@suse.cz
- update to 0.33
  * Added failchk, set_isalive, lock_stat_print & mutex_stat_print.
* Wed Jul 25 2007 anicka@suse.cz
- update to 0.32
  * Updates to support Berkeley DB 4.6
  * Remove all global static data from BerkeleyDB.xs.
* Thu Oct 19 2006 anicka@suse.cz
- update to 0.31
  * Fixed DB_GET_BOTH.
* Thu Sep 14 2006 anicka@suse.cz
- update to 0.30
  * Fixed queue test harness for Berkeley DB 4.5 compliance
  * Added $env->lsn_reset, $txn->set_timeout,
    $env->set_timeout & $env->get_timeout, $txn->set_tx_max,
    $txn->get_tx_max
* Thu Jul 13 2006 anicka@suse.cz
- update to 0.29
  * added support for Berkeley DB 4.4
  * many bugfixes
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 15 2005 uli@suse.de
- no test on ARM (unimplemented calls in QEMU)
* Tue Nov 23 2004 ro@suse.de
- update to 0.26
* Mon Sep 20 2004 ro@suse.de
- check for recent kernel also on i386
* Sun Sep 19 2004 ro@suse.de
- require a recent kernel to build (check-build.sh)
* Wed Aug 25 2004 choeger@suse.de
- new package perl-BerkeleyDB, v0.25
